Loading...
Searching...
No Matches
optional.hpp File Reference

## Description

Provides std::optional-related polyfills for library API usage.

Includes
  - bsoncxx/v1/stdx/optional.hpp

See also
  - Choosing a C++17 Polyfill

Go to the source code of this file.

## Classes

class | bsoncxx::stdx::optional< T >
| A polyfill for std::optional<T>. More...
class | bsoncxx::v_noabi::stdx::optional< T >
| A polyfill for std::optional<T>. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::stdx
| Declares C++17 standard library polyfills.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::stdx
| Declares C++17 standard library polyfills.